CREATE DATABASE LIBRERIA_ANDRES_SALAMANCA;
USE LIBRERIA_ANDRES_SALAMANCA;

CREATE TABLE PERSONA(
	ID INT AUTO_INCREMENT PRIMARY KEY,
    NOMBRE VARCHAR(300) NOT NULL,
    CORREO_ELECTRONICO VARCHAR(250),
    PAIS ENUM('Argentina' , 'Alemania' , 'Colombia' , 'Italia' , 'México' , 'Españna' , 'EUA') DEFAULT 'Colombia'
);

CREATE TABLE LIBRO(
	ID INT NOT NULL AUTO_INCREMENT PRIMARY KEY,
    NOMBRE VARCHAR(300) NOT NULL,
    PUBLICADOR SMALLINT NULL
);

CREATE TABLE AUTOR(
	ID INT AUTO_INCREMENT PRIMARY KEY,
    APELLIDOS VARCHAR(300) NOT NULL DEFAULT "",
    NOMBRES VARCHAR(300) NOT NULL,
    EMAIL VARCHAR(200) NULL,
    PAIS ENUM('Argentina' , 'Alemania' , 'Colombia' , 'Italia' , 'México' , 'Españna' , 'EUA') DEFAULT 'Colombia'
);

CREATE  TABLE VENTA(
	ID INT AUTO_INCREMENT PRIMARY KEY,
    FECHA DATE NOT NULL,
    ID_LIBRO INT NOT NULL,
    CANTIDAD SMALLINT NOT NULL DEFAULT 1,
    FOREIGN KEY (ID_LIBRO) REFERENCES LIBRO(ID)
);

SHOW TABLES;
SHOW COLUMNS FROM VENTA;
DESCRIBE AUTOR;

DROP TABLE PERSONA;
SHOW TABLES;

/* Insertar datos a libros*/
INSERT INTO LIBRO (NOMBRE, PUBLICADOR) VALUES("El olvido que seremos", 2005);
INSERT INTO LIBRO VALUES(2,"El renacuajo paseador", 1867);
INSERT INTO LIBRO (PUBLICADOR, NOMBRE) VALUES(2021, "Como: el arte de comer bien para estar bien");
SELECT * FROM LIBRO;

/* Insertar datos de autores */
INSERT INTO AUTOR (APELLIDOS, NOMBRES) VALUES ("García Márquez", "Gabriel");
INSERT INTO AUTOR (APELLIDOS, NOMBRES) VALUES ("Isaacs", "Jorge");
INSERT INTO AUTOR (APELLIDOS, NOMBRES, PAIS) VALUES ("Alighieri", "Dante", "Italia");
INSERT INTO AUTOR (APELLIDOS, NOMBRES, EMAIL) VALUES ("Trueba", "Fernando", "ftrueba@gmail.com");
INSERT INTO AUTOR (APELLIDOS, NOMBRES) VALUES ("Rivera", "José Eustacio");
INSERT INTO AUTOR (APELLIDOS, NOMBRES) VALUES ("Jaramillo", "Carlos");

SELECT * FROM AUTOR;

UPDATE AUTOR SET PAIS="Italia" WHERE ID = 3;
SELECT * FROM AUTOR;

DELETE FROM AUTOR WHERE NOMBRES = "Gabriel";

/* Actualizar tabla*/
ALTER TABLE LIBRO RENAME COLUMN PUBLICADOR TO ANIO_PUBLICACION;
